package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwHsSubcodemap;
import com.dhcc.finance.main.domain.CwHsSubcodemapExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwHsSubcodemapMapper {
    long countByExample(CwHsSubcodemapExample example);

    int deleteByExample(CwHsSubcodemapExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwHsSubcodemap record);

    int insertSelective(CwHsSubcodemap record);

    List<CwHsSubcodemap> selectByExample(CwHsSubcodemapExample example);

    CwHsSubcodemap selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwHsSubcodemap record, @Param("example") CwHsSubcodemapExample example);

    int updateByExample(@Param("record") CwHsSubcodemap record, @Param("example") CwHsSubcodemapExample example);

    int updateByPrimaryKeySelective(CwHsSubcodemap record);

    int updateByPrimaryKey(CwHsSubcodemap record);
    /**
     * Title: selectByExample <br/>  
     * Description: TODO 按照科目代码和估值系统科目代码查询财务估值导出科目对照表的信息<br/>
     * @author lipeng 
     * @param example
     * @return List<CwHsSubcodemap>
     * @date 2019年7月26日 下午5:52:53
     */
    List<CwHsSubcodemap> selectCwHsSubcodemapInfo(@Param("cwHsSubcodemap") CwHsSubcodemap cwHsSubcodemap);
    /**
     * Title: selectCwHsSubcode科目对照表的所有科目代码 <br/>  
     * Description: TODO 查询<br/>
     * @author lipeng 
     * @return List<String>
     * @date 2019年7月27日 上午10:09:27
     */
    List<String> selectCwHsSubcodeList();  
    /**
     * Title: selectCwHsSubcode科目对照表的所有估值科目代码 <br/>  
     * Description: TODO 查询<br/>
     * @author lipeng 
     * @return List<String>
     * @date 2019年7月27日 上午10:09:27
     */
    List<String> selectCwHsSubcodeVList(); 
    /**
     * Title: deleteById <br/>  
     * Description: TODO 按照id删除科目表信息<br/>
     * @author lipeng 
     * @param id
     * @return int
     * @date 2019年7月27日 下午4:34:47
     */
    int deleteById(@Param("IdList") List<String>  IdList);
}